#!/bin/sh
# ------------------------------------------------------------------------------
# １時間に数回動く事を想定
#   メール投稿の確認と時間指定記事のトラックバック送信を行う
# ------------------------------------------------------------------------------
# PHP設置ディレクトリ(PATHに既に設置済みの場合空欄可)
PHPDIR="/usr/local/php/bin"

# ERRLEVELを保存
ERRLVL="INFO"
# ------------------------------------------------------------------------------
# 値設定
# ------------------------------------------------------------------------------
# PATH設定
PATH=$PHPDIR:${PATH}:
export PATH
# オリジナルカレントディレクトリ取得
OG_DIR=${PWD}
export OG_DIR
# 実行ファイルディレクトリ取得
SH_DIR=`dirname $0`
export SH_DIR
# 実行ファイルディレクトリ移動
cd ${SH_DIR}
# 移動後のディレクトリ保存(batch\binディレクトリのパスを記述)
BASEDIR=${PWD}
# PHP(CLI)のパスを保存
PHPPATH=`which php`
# ------------------------------------------------------------------------------
# 変数記述チェック
# ------------------------------------------------------------------------------
if [ -z $BASEDIR ]; then
    echo シェルを修正しBASEDIRを設定してください。
    exit -1
fi

if [ -z $PHPPATH ]; then
    echo シェルを修正しPHPPATHを設定してください。
    exit -2
fi
# ------------------------------------------------------------------------------
# メール投稿
# ------------------------------------------------------------------------------
cd $BASEDIR
cd ../actions/MailEntry
# 第１引数 ： デバッグレベル（省略可、デフォルトERROR）
$PHPPATH ./MailEntry.php $ERRLVL

# ------------------------------------------------------------------------------
# 時間指定公開のトラックバック送信
# ------------------------------------------------------------------------------
cd $BASEDIR
cd ../actions/SendTrackback
# 第１引数 ： デバッグレベル（省略可、デフォルトERROR）
$PHPPATH ./SendTrackback.php $ERRLVL

# ------------------------------------------------------------------------------
# 呼び出し元に戻る
# ------------------------------------------------------------------------------
# オリジナルカレントディレクトリ移動
cd ${OG_DIR}
