<?php
/**
 *	smarty modifier:ʸwordwrap
 *
 *	[EUC-JPбEUC-JPΤб]
 *
 *	sample:
 *	<code>
 *	{"aaaaaa"|wordrap_i18n:8}
 *	</code>
 *	<code>
 *	a
 *	aa
 *	aaa
 *	
 *	</code>
 *
 *	@param	string	$string	wordwrapʸ
 *	@param	string	$break	ʸ
 *	@param	int		$width	wordwrap(Ⱦ$widthʸwordwrap)
 *	@param	int		$indent	ǥ(Ⱦ$indentʸ)
 *	@return	string	wordwrap줿ʸ
 */
function smarty_modifier_wordwrap_i18n($string, $width, $break = "\n", $indent = 0)
{
	$r = "";
	$i = "$break" . str_repeat(" ", $indent);
	$tmp = $string;
	do {
		$n = strpos($tmp, $break);
		if ($n !== false && $n < $width) {
			$s = substr($tmp, 0, $n);
			$r .= $s . $i;
			$tmp = substr($tmp, strlen($s) + strlen($break));
			continue;
		}

		$s = mb_strimwidth($tmp, 0, $width, "", "EUC-JP");

		// EUC-JPΤб
		$n = strlen($s);
		if ($n >= $width && $tmp{$n} != "" && $tmp{$n} != " ") {
			while ((ord($s{$n-1}) & 0x80) == 0) {
				if ($s{$n-1} == " " || $n == 0) {
					break;
				}
				$n--;
			}
		}
		$s = substr($s, 0, $n);

		$r .= $s . $i;
		$tmp = substr($tmp, strlen($s));
	} while (strlen($s) > 0);

	$r = preg_replace('/\s+$/', '', $r);

	return $r;
}
?>