/**
 * 名前が接頭辞で始まるチェックボックスにチェックがあるかを判定する関数
 * 
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 * @return bool    チェックありならtrue
 */
function isSelect(objform, txt_prefix)
{
    //[ フォームの各項目について繰り返し ]
    for (var i_cnt=0; i_cnt < objform.elements.length; i_cnt++)
    {
        // ある接頭辞をもつcheckboxのみ設定する。
        if (objform.elements[i_cnt].type =='checkbox' && 
            objform.elements[i_cnt].name.indexOf(txt_prefix) == 0 && 
            objform.elements[i_cnt].checked == true)
        {
            return true;
        }
    }

    return false;
}

/**
 * 記事一覧の掲載承認確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function entry_SelConfirmApprove(objform, txt_prefix)
{
    //[ 記事が選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択している記事の掲載を承認します。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('記事が選択されていません。掲載を承認する記事を選択してください。');
    }

    return false;
}

/**
 * 記事一覧の掲載否認確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function entry_SelConfirmDeny(objform, txt_prefix)
{
    //[ 記事が選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択している記事の掲載を否認します。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('記事が選択されていません。掲載を否認する記事を選択してください。');
    }

    return false;
}

/**
 * 記事一覧の削除確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function entry_SelConfirmDelete(objform, txt_prefix)
{
    //[ 記事が選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択している記事を削除します。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('記事が選択されていません。削除する記事を選択してください。');
    }

    return false;
}

/**
 * 記事一覧の編集確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function entryConfirmMod()
{
    if(window.confirm('記事を編集すると、承認待ちになりブログ管理者に承認されるまで掲載されなくなります。編集してよろしいですか？')) {
        return true;
    }

    return false;
}

/**
 * 記事詳細・編集の掲載承認確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function entryConfirmApprove()
{
    if(window.confirm('記事の掲載を承認します。よろしいですか？')) {
        return true;
    }

    return false;
}

/**
 * 記事詳細・編集の掲載否認確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function entryConfirmDeny()
{
    if(window.confirm('記事の掲載を否認します。よろしいですか？')) {
        return true;
    }

    return false;
}

/**
 * 記事詳細・編集の削除確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function entryConfirmDelete()
{
    if(window.confirm('記事を削除します。よろしいですか？')) {
        return true;
    }

    return false;
}

/**
 * コメント一覧の掲載確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function comment_SelConfirmApprove(objform, txt_prefix)
{
    //[ コメントが選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択しているコメントを掲載します。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('コメントが選択されていません。掲載するコメントを選択してください。');
    }

    return false;
}

/**
 * コメント一覧の掲載中止確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function comment_SelConfirmCancel(objform, txt_prefix)
{
    //[ コメントが選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択しているコメントの掲載を中止します。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('コメントが選択されていません。掲載を中止するコメントを選択してください。');
    }

    return false;
}

/**
 * コメント一覧の削除確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function comment_SelConfirmDelete(objform, txt_prefix)
{
    //[ コメントが選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択しているコメントを削除します。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('コメントが選択されていません。削除するコメントを選択してください。');
    }

    return false;
}

/**
 * コメント詳細・編集の掲載確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function commentConfirmApprove()
{
    if(window.confirm('コメントを掲載します。よろしいですか？')) {
        return true;
    }

    return false;
}

/**
 * コメント詳細・編集の掲載中止確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function commentConfirmCancel()
{
    if(window.confirm('コメントの掲載を中止します。よろしいですか？')) {
        return true;
    }

    return false;
}

/**
 * コメント詳細・編集の削除確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function commentConfirmDelete()
{
    if(window.confirm('コメントを削除します。よろしいですか？')) {
        return true;
    }

    return false;
}

/**
 * トラックバック一覧の掲載確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function trackback_SelConfirmApprove(objform, txt_prefix)
{
    //[ トラックバックが選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択しているトラックバックを掲載します。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('トラックバックが選択されていません。掲載するトラックバックを選択してください。');
    }

    return false;
}

/**
 * トラックバック一覧の掲載中止確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function trackback_SelConfirmCancel(objform, txt_prefix)
{
    //[ トラックバックが選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択しているトラックバックの掲載を中止します。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('トラックバックが選択されていません。掲載を中止するトラックバックを選択してください。');
    }

    return false;
}

/**
 * トラックバック一覧の削除確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function trackback_SelConfirmDelete(objform, txt_prefix)
{
    //[ トラックバックが選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択しているトラックバックを削除します。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('トラックバックが選択されていません。削除するトラックバックを選択してください。');
    }

    return false;
}

/**
 * トラックバック詳細の掲載確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function trackbackConfirmApprove()
{
    if(window.confirm('トラックバックを掲載します。よろしいですか？')) {
        return true;
    }

    return false;
}

/**
 * トラックバック詳細の掲載中止確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function trackbackConfirmCancel()
{
    if(window.confirm('トラックバックの掲載を中止します。よろしいですか？')) {
        return true;
    }

    return false;
}

/**
 * トラックバック詳細の削除確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function trackbackConfirmDelete()
{
    if(window.confirm('トラックバックを削除します。よろしいですか？')) {
        return true;
    }

    return false;
}

/**
 * ファイル一覧の削除確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function file_SelConfirmDelete(objform, txt_prefix)
{
    //[ ファイルが選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('使用中のファイルを削除した場合、ブログの記事にファイルが表示されなくなります。\n選択しているファイルを削除します。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('ファイルが選択されていません。削除するファイルを選択してください。');
    }

    return false;
}

/**
 * お気に入り一覧の公開確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function favorite_SelConfirmOpen(objform, txt_prefix)
{
    //[ お気に入りが選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択しているお気に入りを公開にします。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('お気に入りが選択されていません。公開にするお気に入りを選択してください。');
    }

    return false;
}

/**
 * お気に入り一覧の掲載中止確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function favorite_SelConfirmClose(objform, txt_prefix)
{
    //[ お気に入りが選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択しているお気に入りを非公開にします。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('お気に入りが選択されていません。非公開にするお気に入りを選択してください。');
    }

    return false;
}

/**
 * お気に入り一覧の削除確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function favorite_SelConfirmDelete(objform, txt_prefix)
{
    //[ お気に入りが選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択しているお気に入りを削除します。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('お気に入りが選択されていません。削除するお気に入りを選択してください。');
    }

    return false;
}

/**
 * お気に入り編集の削除確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function favoriteConfirmDelete()
{
    if(window.confirm('お気に入りを削除します。よろしいですか？')) {
        return true;
    }

    return false;
}

/**
 * カテゴリ一覧の公開確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function category_SelConfirmOpen(objform, txt_prefix)
{
    //[ カテゴリが選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択しているカテゴリを公開にします。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('カテゴリが選択されていません。公開にするカテゴリを選択してください。');
    }

    return false;
}

/**
 * カテゴリ一覧の掲載中止確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function category_SelConfirmClose(objform, txt_prefix)
{
    //[ カテゴリが選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択しているカテゴリを非公開にします。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('カテゴリが選択されていません。非公開にするカテゴリを選択してください。');
    }

    return false;
}

/**
 * カテゴリ一覧の削除確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function category_SelConfirmDelete(objform, txt_prefix)
{
    //[ カテゴリが選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択しているカテゴリを削除します。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('カテゴリが選択されていません。削除するカテゴリを選択してください。');
    }

    return false;
}

/**
 * カテゴリ編集の削除確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function categoryConfirmDelete()
{
    if(window.confirm('カテゴリを削除します。よろしいですか？')) {
        return true;
    }

    return false;
}

/**
 * 参加、脱退申請の承認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function joinleave_SelConfirmApprove(objform, txt_prefix)
{
    //[ 参加、脱退申請が選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択している参加、脱退申請を承認します。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('参加、脱退申請が選択されていません。承認する参加、脱退申請を選択してください。');
    }

    return false;
}

/**
 * 参加、脱退申請の否認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function joinleave_SelConfirmDeny(objform, txt_prefix)
{
    //[ 参加、脱退申請が選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択している参加、脱退申請を否認します。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('参加、脱退申請が選択されていません。否認する参加、脱退申請を選択してください。');
    }

    return false;
}

/**
 * テンプレート部品の削除確認を行う関数
 * @param  object  objform     [IN]:フォームオブジェクト
 * @param  string  txt_prefix  [IN]:接頭辞
 *
 */
function templateItemConfirmDelete(objform, txt_prefix)
{
    //[ 部品が選択済 ]
    if(isSelect(objform, txt_prefix)) {
        if(window.confirm('選択しているテンプレート部品を削除します。よろしいですか？')) {
            return true;
        }
    }
    else{
        alert('テンプレート部品が選択されていません。削除するテンプレート部品を選択してください。');    }

    return false;
}
