/**
 * ページ換えする
 * 
 * @param  object  t_form  [IN]:対象フォーム
 * @param  int     page    [IN]:遷移先ページ
 */
function paging(t_form, page)
{
    t_form.p.value=page;
    t_form.submit();
}

/**
 * 画像のサイズを設定する。
 * 
 * @param  object  t_form  [IN]:対象フォーム
 * @param  string  file_id [IN]:ファイルID
 */
function set_image_size(t_form, file_id)
{
    // 幅の設定
    var temp_width  = document.getElementById('width_' + file_id).value;
    if (temp_width == 0)
    {
       temp_width  = alter_image_width;
    }
    t_form.image_width.value  = temp_width;
    // 高さの設定
    var temp_height = document.getElementById('height_' + file_id).value;
    if (temp_height == 0)
    {
       temp_height = alter_image_height;
    }
    t_form.image_height.value = temp_height;
}

/**
 * 画像のサイズを元に戻す。
 * 
 * @param  object  t_form  [IN]:対象フォーム
 * @param  string  file_id [IN]:ファイルID
 */
function default_w_h(file_id, f_width, f_height)
{
    // 幅の設定
    document.getElementById('image_width_' + file_id).value = f_width;

    // 高さの設定
    document.getElementById('image_height_' + file_id).value = f_height;
}

/**
 * 親の編集先フォームにファイル画像タグを挿入する。
 * 
 * @param  object  t_form  [IN]:対象フォーム
 */
function insert_file_to_parent(t_form, sel_file_id)
{
    var error_string   = '';
    var width_str      = null;
    var height_str     = null;
    var sel_alignment  = null;
    var is_anchor      = true;
    var alter_text     = '';
    var elements_count = t_form.elements.length;
    var ua             = navigator.userAgent;
    document.getElementById('errors').innerHTML = '';

    // 選択肢のチェック
    for (var i=0;i < elements_count;i++)
    {
        // 幅
        if(t_form.elements[i].type =='text' && 
            t_form.elements[i].name.indexOf('image_width_' + sel_file_id) == 0)
        {
           width_str      = t_form.elements[i].value;
        }

        // 高さ
        if(t_form.elements[i].type =='text' && 
            t_form.elements[i].name.indexOf('image_height_' + sel_file_id) == 0)
        {
            height_str    = t_form.elements[i].value;
        }

        // MimeType
        if(t_form.elements[i].type =='hidden' && 
            t_form.elements[i].name.indexOf('mimetype_' + sel_file_id) == 0)
        {
            var temp_mime = t_form.elements[i].value;

            //[ 画像 ]
            if(temp_mime.indexOf("image", 0) == 0) {
                is_anchor = false;
            }
        }

        // ファイル名
        if(t_form.elements[i].type =='hidden' && 
            t_form.elements[i].name.indexOf('name_' + sel_file_id) == 0)
        {
            alter_text    = t_form.elements[i].value;
        }

        // 選択された回り込み
        if(t_form.elements[i].name.indexOf('alignment_' + sel_file_id) == 0)
        {
            sel_alignment = t_form.elements[i].value;
        }
    }

    // 幅の数値チェック
    if (! width_str.match('^[0123456789]*$'))
    {
        error_string = error_string + '<div>' + msg_width_invalid + '</div>';
    }
    // 高さの数値チェック
    if (! height_str.match('^[0123456789]*$'))
    {
        error_string = error_string + '<div>' + msg_height_invalid + '</div>';
    }
    // 親ウィンドウの存在チェック
    if ( ! window.opener || typeof(window.opener.document) != 'object')
    {
        error_string = error_string + '<div>' + msg_no_parent + '</div>';
    }

    // エラーチェック
    if (error_string.length > 0)
    {
        document.getElementById('errors').innerHTML = '<div class="error_block">' + error_string + '</div>';
        return;
    }

    // ファイル画像タグを挿入
    window.opener.insert_file(
            sel_file_id
          , sel_alignment
          , width_str, height_str
          , alter_text
          , is_anchor);
    window.close();
}
