/**
 * ブラウザ識別
 */
window.navigator.isWinIE   = null;
window.navigator.isMacIE   = null;
window.navigator.isMozilla = null;
window.navigator.isOpera   = null;
window.navigator.isSafari  = null;
window.navigator.isUnknown = null;

//  Safari
if (navigator.userAgent.indexOf("Safari") > -1) {
	window.navigator.isSafari = true;
}
//  Opera
else if (window.opera) {
	window.navigator.isOpera = true;
}
//  MacIE
else if (navigator.userAgent.indexOf("MSIE") > -1 && navigator.platform.indexOf("Mac") > -1) {
	window.navigator.isMacIE = true;
}
//  WinIE
else if (document.all && document.selection) {
	window.navigator.isWinIE = true;
}
//  Mozilla
else if (window.controllers) {
	window.navigator.isMozilla = true;
}
//  Unknown
else {
	window.navigator.isUnknown = true;
}

/**
 * 画像をポップアップ表示する
 * 
 *  @param  _uri    画像のパス
 *  @param  _width  画像の幅
 *  @param  _height 画像の高さ
 */
function showImage(_uri, _width, _height)
{
    var padding = 10;
    _width = (_width != undefined) ? _width : 640;
    _height = (_height != undefined) ? _height : 640;
    imagePreview = window.open(_uri, "imagePreview", "width=" + (_width + padding * 2) + ",height=" + (_height + padding * 2) + ",scrollbars=no,resizable=yes");
    imagePreview.focus();
}

/**
 *  
 *
 *  @param   _form      フォーム
 *  @param   _command   コマンド名：ボタン名形式
 *  @param   _message   メッセージ
 */
function deleteSelectedItem(_form, _command, _message)
{
    if (! confirm(_message))
    {
        return;
    }

    var _button = document.createElement('input');
    _button.type = "submit";
    _button.name = _command;
    _button.style.display = "none";

    _form.insertBefore( _button, null);
    _button.click();
}

/**
 *  画面をポップアップ表示する
 *  
 *  @param  _uri    画面のURL
 *  @param  _width  画面の幅
 *  @param  _height 画面の高さ
 */
function showScreen(_uri, _width, _height)
{
    var padding = 10;
    _width = (_width != undefined) ? _width : 640;
    _height = (_height != undefined) ? _height : 640;
    _screen = window.open(_uri, "", "width=" + (_width + padding * 2) + ",height=" + (_height + padding * 2) + ",scrollbars=yes,resizable=yes");
    _screen.focus();
}

/**
 * window.onload ハンドラを割り当てる
 * 
 * @example		window.addOnLoadHandler(hoge:Function);
 */
window.onLoadHandlers = new Array();
window.addOnLoadHandler = function(handler) {
	window.onLoadHandlers.push(handler);
};

window.onLoadHandler = function() {
	for (var i=0; i<window.onLoadHandlers.length; i++) {
		window.onLoadHandlers[i]();
	}
};

if (window.addEventListener) {
	window.addEventListener("load", onLoadHandler, true);
}
else {
	window.attachEvent("onload", onLoadHandler);
}
