/*
 * 入力チェック
 * （サブミットボタンにonclickでvalidateChkForm(this)を指定する。
 */
function validateChkForm(submitElement)
{
    // 戻り値
    var bCanSubmit = true;

    // 関数戻り値
    var bRet = false;

    // 日付チェック
    bRet = validateDateFromToChkForm(submitElement);
    if (bRet == false) {
       bCanSubmit = false;
    }

    // からまでを含む日付チェック
    bRet = validateDateChkForm(submitElement);
    if (bRet == false) {
       bCanSubmit = false;
    }

    // 処理終了
    return bCanSubmit;
}
/*
 * 入力チェック
 * 日付のチェック、からまでチェックを含む
 * （サブミットボタンにonclickでvalidateChkForm(this)を指定する。
 */
function validateDateFromToChkForm(submitElement)
{
    var bCanSubmit = true;

    // 現在のフォームのエレメントを取得する。
    var formElement = $(submitElement).parents("form");

    // 日付チェックを行う箇所を特定する。
    $(".chk_from_to_date", formElement).each(function () {

        // クラスを追加
        $(this).removeClass('chk_err_area');
        $(this).find(".chk_err_msg").hide();
        $(this).find(".chk_from_required_msg").hide();
        $(this).find(".chk_from_date_msg").hide();
        $(this).find(".chk_to_required_msg").hide();
        $(this).find(".chk_to_date_msg").hide();
        $(this).find(".chk_from_to_date_msg").hide();

        // FromとToの枠を取得
        var objFrom = $(this).find(".chk_from_date");
        var objTo   = $(this).find(".chk_to_date");

        // 年月日を取得する
        var sFromYear  = $(objFrom).find(".chk_year").val();
        var sFromMonth = $(objFrom).find(".chk_month").val();
        var sFromDay   = $(objFrom).find(".chk_day").val();

        // 年月日を取得する
        var sToYear  = $(objTo).find(".chk_year").val();
        var sToMonth = $(objTo).find(".chk_month").val();
        var sToDay   = $(objTo).find(".chk_day").val();

        // 日付のチェックを行う。
        var iRetFrom = validateChkDate(objFrom, sFromYear, sFromMonth, sFromDay);
        if (iRetFrom < 0) {

            // サブミット中止
            bCanSubmit = false;

            // クラスを追加
            $(this).addClass('chk_err_area');

            // エラーメッセージ表示枠
            $(this).find(".chk_err_msg").show();

            // エラーの内容表示
            if (iRetFrom == -1) {
                $(this).find(".chk_from_required_msg").show();
            }
            // エラーの内容表示
            else if (iRetFrom == -2){
                $(this).find(".chk_from_date_msg").show();
            }
        }

        // 日付のチェックを行う。
        var iRetTo = validateChkDate(objTo, sToYear, sToMonth, sToDay);
        if (iRetTo < 0) {

            // サブミット中止
            bCanSubmit = false;

            // クラスを追加
            $(this).addClass('chk_err_area');

            // エラーメッセージ表示枠
            $(this).find(".chk_err_msg").show();

            // エラーの内容表示
            if (iRetTo == -1) {
                $(this).find(".chk_to_required_msg").show();
            }
            // エラーの内容表示
            else if (iRetTo == -2){
                $(this).find(".chk_to_date_msg").show();
            }
        }

        // からまでチェック
        if (iRetFrom == 0 && iRetTo == 0) {
            var bErrFlg = false;

            // INT変換
            var iFromYear  = parseInt(sFromYear,10);
            var iFromMonth = parseInt(sFromMonth,10);
            var iFromDay   = parseInt(sFromDay,10);
            var iToYear    = parseInt(sToYear,10);
            var iToMonth   = parseInt(sToMonth,10);
            var iToDay     = parseInt(sToDay,10);

            if (iFromYear > iToYear) {
                bErrFlg = true;
            }
            else if (iFromYear == iToYear && iFromMonth > iToMonth) {
                bErrFlg = true;
            }
            else if (iFromYear == iToYear && iFromMonth == iToMonth && iFromDay > iToDay) {
                bErrFlg = true;
            }

            // エラー？
            if (bErrFlg) {

                // サブミット中止
                bCanSubmit = false;

                // クラスを追加
                $(this).addClass('chk_err_area');

                // エラーメッセージ表示枠
                $(this).find(".chk_err_msg").show();

                // エラーメッセージ
                $(this).find(".chk_from_to_date_msg").show();
            }
        }
    });

    return bCanSubmit;
};
/*
 * 入力チェック
 * 日付のチェック
 * （サブミットボタンにonclickでvalidateChkForm(this)を指定する。
 */
function validateDateChkForm(submitElement)
{
    var bCanSubmit = true;

    // 現在のフォームのエレメントを取得する。
    var formElement = $(submitElement).parents("form");

    // 日付チェックを行う箇所を特定する。
    $(".chk_date", formElement).each(function () {

        // クラスを追加
        $(this).removeClass('chk_err_area');
        $(this).find(".chk_err_msg").hide();
        $(this).find(".chk_required_msg").hide();
        $(this).find(".chk_date_msg").hide();

        // 年月日を取得する
        var year  = $(this).find(".chk_year").val();
        var month = $(this).find(".chk_month").val();
        var day   = $(this).find(".chk_day").val();

        // 日付のチェックを行う。
        var iRet = validateChkDate(this, year, month, day);
        if (iRet < 0) {

            // サブミット中止
            bCanSubmit = false;

            // クラスを追加
            $(this).addClass('chk_err_area');

            // エラーメッセージ表示枠
            $(this).find(".chk_err_msg").show();

            // エラーの内容表示
            if (iRet == -1) {
                $(this).find(".chk_required_msg").show();
            }
            // エラーの内容表示
            else if (iRet == -2){
                $(this).find(".chk_date_msg").show();
            }
        }
    });

    return bCanSubmit;
};
/*
 * 日付のチェック
 * -1 :必須エラー
 * -2 :日付エラー
 *  1 :未入力
 *  0 :入力有
 *
 */
function validateChkDate(objEl, year, month, day)
{

    // 全て入力されている場合日付の入力チェック
    if (year.length > 0 && month.length > 0 && day.length > 0){
        // 日付チェック
        var bRet = isChkDate(year, month, day);
        // 日付が不正？
        if (bRet == false) {
            return -2;
        }
    }
    // 全て空？
    else if (year.length == 0 && month.length == 0 && day.length == 0) {
        // 現在のクラス名を取得
        var sClassName = $(objEl).attr("class");
        // クラス名を分割
        var arClassName = sClassName.split(" ");
        // 必須チェック有？
        var bChkRequired = false;
        // ループ
        $.each(arClassName,function(i) { 
            if (this == "chk_date_required"){
                bChkRequired = true;
            }
        }); 

        // 必須？
        if (bChkRequired) {
            return -1;
        }
        return 1;
    }
    else {
        return -2;
    }

    return 0;
};
/*
 * 日付の妥当性チェック
 */
function isChkDate(year, month, day){
    // 日付のオブジェクトと作成（全て数字ならOKとなる）
    var objDate = new Date(year, month-1, day);
    // 入力値と日付が同じかチェック
    if (objDate.getFullYear()  == year 
     && objDate.getMonth() + 1 == month
     && objDate.getDate()      == day
    ){
        return true;
    }
    else {
        return false;
    }
}
